[+] Jaka kamerka?

Wszystko związane z jądrem systemowym, sterownikami, sprzętem itp.
Awatar użytkownika
arturromarr
Beginner
Posty: 160
Rejestracja: 14 sierpnia 2015, 01:21

[+] Jaka kamerka?

Post autor: arturromarr » 04 kwietnia 2020, 22:07

Cześć,
Jak w pytaniu jaką polecacie kamerkę, żeby była dobra i bez problemu obsługiwał ją Debian?
Mam w laptopie kamerkę, ale okazało się, że ma bardzo ciemny obraz. Muszę świecić lampą w twarz na Skypie.

Pozdrawiam.
Ostatnio zmieniony 07 września 2020, 15:04 przez arturromarr, łącznie zmieniany 1 raz.

Awatar użytkownika
Yampress
Administrator
Posty: 6245
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Jaka kamerka?

Post autor: Yampress » 07 kwietnia 2020, 17:10

Przy lepszych kamerkach jest podawany F= ( przysłona) im liczba niższa tym lepiej bo więcej światla wpada na matryce...
A skoro więcej światła wpada obraz nie jest ciemny... Kolejna rzecz jaka jest ważna to wiadomo matryca. O matrycach nie informują. Optyki też nie wiadomo jakiej nie dostaniesz do tak małego urządzenia.

Moja kamera creative hd ma f=2,4, a obraz w pomieszczeniu kiedy robi się ciemno jest ciemny i bez doświetlenia żarówką nie da rady.

Im lepszy sprzęt tym większe pieniądze.

Awatar użytkownika
saturno
Junior Member
Posty: 703
Rejestracja: 08 lipca 2008, 20:04

Re: Jaka kamerka?

Post autor: saturno » 09 kwietnia 2020, 01:57

A nie wystarczy rozjaśnić obraz w panelu sterowania kamerki (Brightness i ew. Gamma?
Wystarczy doinstalować: v4l2ucp
https://zapodaj.net/db40a4dc8c831.png.html

Awatar użytkownika
arturromarr
Beginner
Posty: 160
Rejestracja: 14 sierpnia 2015, 01:21

Re: Jaka kamerka?

Post autor: arturromarr » 07 maja 2020, 19:11

Kupiłem: Creative CamSync Model:VF0770, ponieważ producent podaje w opisie, że współpracuje z Linuxem i ma przyzwoite parametry.
Po podłączeniu widać coś nowego w systemie:

Kod: Zaznacz cały

dmesg | less
[  578.212020] usb 2-6: new high-speed USB device number 5 using ehci-pci
[  578.453527] usb 2-6: New USB device found, idVendor=041e, idProduct=4095
[  578.453532] usb 2-6: New USB device strings: Mfr=3, Product=1, SerialNumber=2
[  578.453535] usb 2-6: Product: Live! Cam Sync HD VF0770
[  578.453537] usb 2-6: Manufacturer: Creative Technology Ltd.
[  578.453541] usb 2-6: SerialNumber:  
[  578.478259] media: Linux media interface: v0.10
[  578.484126] Linux video capture interface: v2.00
[  578.522323] usbcore: registered new interface driver snd-usb-audio
[  578.522595] uvcvideo: Found UVC 1.00 device Live! Cam Sync HD VF0770 (041e:4095)
[  578.533630] uvcvideo 2-6:1.0: Entity type for entity Extension 5 was not initialized!
[  578.533635] uvcvideo 2-6:1.0: Entity type for entity Extension 4 was not initialized!
[  578.533638] uvcvideo 2-6:1.0: Entity type for entity Processing 2 was not initialized!
[  578.533640] uvcvideo 2-6:1.0: Entity type for entity Camera 1 was not initialized!
[  578.533752] input: Live! Cam Sync HD VF0770 as /devices/pci0000:00/0000:00:1d.7/usb2/2-6/2-6:1.0/input/input16
[  578.533826] usbcore: registered new interface driver uvcvideo
[  578.533827] USB Video Class driver (1.1.1)
[  614.287232] fuse init (API version 7.26)
[ 1193.338216] perf: interrupt took too long (2502 > 2500), lowering kernel.perf_event_max_sample_rate to 79750
[ 1699.038320] perf: interrupt took too long (3128 > 3127), lowering kernel.perf_event_max_sample_rate to 63750
Czy ten opis dobrze świadczy o rozpoznaniu kamery?
Chciałem zainstalować jakiś program do obsługi kamery, ale coś nie tak z zależnościami.

Kod: Zaznacz cały

apt-get install cheese
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 cheese : Wymaga: libcheese-gtk25 (>= 3.18.0) ale nie zostanie zainstalowany
          Wymaga: libcheese8 (>= 3.18.0) ale nie zostanie zainstalowany
          Wymaga: gnome-video-effects ale nie zostanie zainstalowany
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.
Okazało się, że nie mogę nawet zaktualizować repozytoriów:

Kod: Zaznacz cały

apt-get update
Ign:1 http://dl.google.com/linux/earth/deb stable InRelease
Stary:2 http://www.deb-multimedia.org stable InRelease                                                
Ign:3 http://httpredir.debian.org/debian stretch InRelease                                            
Ign:4 http://ftp.pl.debian.org/debian stretch InRelease                                               
Stary:5 http://security.debian.org stretch/updates InRelease                                          
Stary:7 http://httpredir.debian.org/debian stretch Release                                            
Stary:8 http://ftp.pl.debian.org/debian stretch-updates InRelease                                     
Stary:9 http://deb.opera.com/opera-stable stable InRelease                                            
Pobieranie:10 http://dl.google.com/linux/earth/deb stable Release [933 B]                             
Stary:11 http://ftp.pl.debian.org/debian stretch Release                                              
Pobieranie:6 http://ppa.launchpad.net/gencfsm/ppa/ubuntu bionic InRelease [15,4 kB]                   
Pobieranie:12 http://dl.google.com/linux/earth/deb stable Release.gpg [819 B]                         
Błąd:12 http://dl.google.com/linux/earth/deb stable Release.gpg                         
  Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 78BD65473CB3BD13
Ign:6 http://ppa.launchpad.net/gencfsm/ppa/ubuntu bionic InRelease
Pobrano 16,2 kB w 1s (14,5 kB/s)
Czytanie list pakietów... Gotowe
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/earth/deb stable Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 78BD65473CB3BD13
W: Błąd GPG: http://ppa.launchpad.net/gencfsm/ppa/ubuntu bionic InRelease: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 6A0344470F68ADCA
W: The repository 'http://ppa.launchpad.net/gencfsm/ppa/ubuntu bionic InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Nie udało się pobrać http://dl.google.com/linux/earth/deb/dists/stable/Release.gpg  Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 78BD65473CB3BD13
W: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.
Mój plik sources.list

Kod: Zaznacz cały

deb http://ftp.pl.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://ftp.pl.debian.org/debian/ stretch-updates main contrib non-free

# Debian-multimedia 
deb http://www.deb-multimedia.org/ stable main non-free

# Opera
deb http://deb.opera.com/opera-stable/ stable non-free

deb http://httpredir.debian.org/debian/ stretch main contrib non-free
Co zrobić, żeby to ponaprawiać i zainstalować program do kamery?
Czy kamerę trzeba jeszcze konfigurować?

Proszę o podpowiedzi i pozdrawiam.

Awatar użytkownika
Yampress
Administrator
Posty: 6245
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Jaka kamerka?

Post autor: Yampress » 07 maja 2020, 19:57

Chyba repo masz coś nie aktualne... Spróbuj repozytoriun zmienić na inny mirror lub pozmieniać stretch na oldstable.
https://wiki.debian.org/DebianStretch

A może czas zaktualizować Debiana do nowszej wersji? Chyba masz bardzo nieaktualny system
Stretch is the development codename for Debian 9. It was superseded by Debian Buster on 2019-07-06.
It is the current oldstable distribution.

Debian 10.3 “buster” was released on February 8th, 2020. Debian 10.0 was initially released on July 6th, 2019.

Awatar użytkownika
arturromarr
Beginner
Posty: 160
Rejestracja: 14 sierpnia 2015, 01:21

Re: Jaka kamerka?

Post autor: arturromarr » 07 maja 2020, 20:31

Udało się zainstalować: Webcamoid i sprawdziłem, że kamerka działa.

PS:
Odwlekam uaktualnienie systemu, bo mam wszystko pokonfigurowane tak jak chcę i trochę się boję, że się coś "posypie".

Awatar użytkownika
Yampress
Administrator
Posty: 6245
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Jaka kamerka?

Post autor: Yampress » 08 maja 2020, 12:46

Oznacz więc temat jako rozwiązany...

ODPOWIEDZ